User Attribute Category
The user attribute category resource.
Basehttps://rest.carbon.ms/userAttributeCategory
GET
/userAttributeCategoryList user attribute categorys
Retrieve a paginated list of user attribute categorys. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/userAttributeCategory
curl --request GET \
--url 'https://rest.carbon.ms/userAttributeCategory?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"public": true,
"protected": true,
"companyId": "xyz789",
"active": true
}
]GET
/userAttributeCategoryRetrieve a user attribute category
Fetch a single user attribute category by filtering on `id`.
Query parameters
idstringMatch on the user attribute category's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/userAttributeCategory
curl --request GET \
--url 'https://rest.carbon.ms/userAttributeCategory?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"public": true,
"protected": true,
"companyId": "xyz789",
"active": true
}POST
/userAttributeCategoryCreate a user attribute category
Create a new user attribute category.
Body parameters
namestringrequiredpublicbooleanprotectedbooleancompanyIdstringReferences company.id
activebooleanemojistringPOSThttps://rest.carbon.ms/userAttributeCategory
curl --request POST \
--url https://rest.carbon.ms/userAttributeCategory \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"public": true,
"protected": true,
"companyId": "xyz789",
"active": true
}PATCH
/userAttributeCategoryUpdate a user attribute category
Update an existing user attribute category, matched on `id`.
Body parameters
namestringrequiredpublicbooleanprotectedbooleancompanyIdstringReferences company.id
activebooleanemojistringPATCHhttps://rest.carbon.ms/userAttributeCategory
curl --request PATCH \
--url 'https://rest.carbon.ms/userAttributeCategory?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"public": true,
"protected": true,
"companyId": "xyz789",
"active": true
}DELETE
/userAttributeCategoryDelete a user attribute category
Delete a user attribute category, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the user attribute category to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/userAttributeCategory
curl --request DELETE \
--url 'https://rest.carbon.ms/userAttributeCategory?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content